PLATINUM DOCS
ApiTemplates

POST /v1/templates/{id}/prepare

POST
/v1/templates/{id}/prepare

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Prepare one exact, owned ready CAS template in a public region authorized for the organization.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/templates/string/prepare" \  -H "Content-Type: application/json" \  -d '{    "region": "string"  }'
{  "template_id": "string",  "region": "string",  "state": "ready",  "status": "ready"}
{  "template_id": "string",  "region": "string",  "state": "absent",  "status": "queued",  "retry_after_ms": 1}
{  "error": "string",  "code": "string"}
Empty
{  "error": "string",  "code": "string"}
{  "error": "string",  "code": "string"}
{  "error": "string",  "code": "string"}
{  "error": "string",  "code": "string"}